version: '3.4'

services:

  php:
    build:
      context: .
      dockerfile: ./docker/php/Dockerfile
    links:
      - pazpar2
    depends_on:
      - pazpar2
    volumes:
      - type: volume
        source: web-app
        target: /var/www/html/
    restart: always
    ports:
      - '9000'

  web:
    image: nginx:stable-alpine
    links:
      - php
    volumes:
      - type: volume
        source: web-app
        target: /var/www/html/
      - type: bind
        source: ./docker/web/conf/site.conf
        target: /etc/nginx/conf.d/default.conf

volumes:
  web-app: